scala.tools.nsc.settings.MutableSettings

# StringSetting

###
Related Doc: package MutableSettings

#### class StringSetting extends Setting

A setting represented by a string, (`default` unless set)

Source
  MutableSettings.scala

Linear Supertypes
Setting, Mutable, MutableSettings.SettingValue, MutableSettings.AbsSetting, MutableSettings.AbsSettingValue, math.Ordered[Setting], Comparable[Setting], AnyRef, Any
Known Subclasses
OutputSetting, PathSetting
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. StringSetting
2. Setting
3. Mutable
4. SettingValue
5. AbsSetting
6. AbsSettingValue
7. Ordered
8. Comparable
9. AnyRef
10. Any

Implicitly

1. by orderingToOrdered
2. by any2stringadd
3. by StringFormat
4. by Ensuring
5. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### type T = String

   Definition Classes
     StringSetting → AbsSettingValue

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from StringSetting to any2stringadd[StringSetting] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (StringSetting, B)

   Implicit information
     This member is added by an implicit conversion from StringSetting to ArrowAssoc[StringSetting] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### def <(that: Setting): Boolean

   Definition Classes
     Ordered

6. #### def <=(that: Setting): Boolean

   Definition Classes
     Ordered

7. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

8. #### def >(that: Setting): Boolean

   Definition Classes
     Ordered

9. #### def >=(that: Setting): Boolean

   Definition Classes
     Ordered

10. #### def abbreviations: List[String]

    Definition Classes
      Setting → AbsSetting

11. #### val arg: String

12. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown

      `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

13. #### def choices: List[String]

    Definition Classes
      AbsSetting

14. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @IntrinsicCandidate() @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

15. #### def compare(that: Setting): Int

    Definition Classes
      AbsSetting → Ordered

16. #### def compareTo(that: Setting): Int

    Definition Classes
      Ordered → Comparable

17. #### val default: String

18. #### def dependencies: List[(Setting, String)]

    Definition Classes
      Setting → AbsSetting

19. #### def dependsOn(s: Setting, value: String): StringSetting.this.type

    Definition Classes
      Setting

20. #### def deprecationMessage: Option[String]

    Definition Classes
      Setting → AbsSetting

21. #### def ensuring(cond: (StringSetting) ⇒ Boolean, msg: ⇒ Any): StringSetting

    Implicit information
      This member is added by an implicit conversion from StringSetting to Ensuring[StringSetting] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

22. #### def ensuring(cond: (StringSetting) ⇒ Boolean): StringSetting

    Implicit information
      This member is added by an implicit conversion from StringSetting to Ensuring[StringSetting] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

23. #### def ensuring(cond: Boolean, msg: ⇒ Any): StringSetting

    Implicit information
      This member is added by an implicit conversion from StringSetting to Ensuring[StringSetting] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

24. #### def ensuring(cond: Boolean): StringSetting

    Implicit information
      This member is added by an implicit conversion from StringSetting to Ensuring[StringSetting] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

25. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

26. #### def equals(that: Any): Boolean

    Equality tries to sidestep all the drama and define it simply and in one place: two AbsSetting objects are equal if their names and values compare equal.

    Equality tries to sidestep all the drama and define it simply and in one place: two AbsSetting objects are equal if their names and values compare equal.

    that

      the object to compare against this object for equality.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AbsSetting → AnyRef → Any

27. #### def errorAndValue[T](msg: String, x: T): T

    Issue error and return

    Issue error and return

    Definition Classes
      AbsSetting

28. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from StringSetting to StringFormat[StringSetting] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

29. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Annotations
      @IntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

30. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AbsSetting → AnyRef → Any

31. #### val helpDescription: String

    Definition Classes
      Setting → AbsSetting

32. #### def helpSyntax: String

    Definition Classes
      Setting → AbsSetting

33. #### def internalOnly(): StringSetting.this.type

    Definition Classes
      AbsSetting

34. #### def isAdvanced: Boolean

    These categorizations are so the help output shows -X and -P among the standard options and -Y among the advanced options.

    These categorizations are so the help output shows -X and -P among the standard options and -Y among the advanced options.

    Definition Classes
      AbsSetting

35. #### def isDefault: Boolean

    Definition Classes
      SettingValue → AbsSettingValue

36. #### def isDeprecated: Boolean

    Definition Classes
      AbsSetting

37. #### def isForDebug: Boolean

    Definition Classes
      AbsSetting

38. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

39. #### def isInternalOnly: Boolean

    Definition Classes
      AbsSetting

40. #### def isPrivate: Boolean

    Definition Classes
      AbsSetting

41. #### def isSetByUser: Boolean

    Definition Classes
      SettingValue

42. #### def isStandard: Boolean

    Definition Classes
      AbsSetting

43. #### val name: String

    Definition Classes
      Setting → AbsSetting

44. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

45. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Annotations
      @IntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

46. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Annotations
      @IntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

47. #### def postSetHook(): Unit

    Definition Classes
      Setting → SettingValue

48. #### def respondsTo(label: String): Boolean

    Definition Classes
      AbsSetting

49. #### var setByUser: Boolean

    Attributes
      protected
    Definition Classes
      SettingValue

50. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

51. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AbsSetting → AnyRef → Any

52. #### def tryToSet(args: List[String]): Option[ResultOfTryToSet]

    After correct Setting has been selected, tryToSet is called with the remainder of the command line.

    After correct Setting has been selected, tryToSet is called with the remainder of the command line. It consumes any applicable arguments and returns the unconsumed ones.

    Definition Classes
      StringSetting → AbsSetting

53. #### def tryToSetColon(args: List[String]): Option[ResultOfTryToSet]

    Commands which can take lists of arguments in form -Xfoo:bar,baz override this method and accept them as a list.

    Commands which can take lists of arguments in form -Xfoo:bar,baz override this method and accept them as a list. It returns List[String] for consistency with tryToSet, and should return its incoming arguments unmodified on failure, and Nil on success.

    Attributes
      protected[scala.tools.nsc]
    Definition Classes
      AbsSetting

54. #### def tryToSetFromPropertyValue(s: String): Unit

    Attempt to set from a properties file style property value.

    Attempt to set from a properties file style property value. Currently used by Eclipse SDT only. !!! Needs test.

    Definition Classes
      AbsSetting

55. #### def unparse: List[String]

    Definition Classes
      StringSetting → AbsSetting

56. #### var v: T

    Attributes
      protected
    Definition Classes
      StringSetting → SettingValue

57. #### def value: T

    Definition Classes
      SettingValue → AbsSettingValue

58. #### def valueSetByUser: Option[T]

    Definition Classes
      SettingValue

59. #### def value_=(arg: T): Unit

    Definition Classes
      SettingValue

60. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

61. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

62. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

63. #### def withAbbreviation(s: String): StringSetting.this.type

    In mutable Settings, these return the same object with a var set.

    In mutable Settings, these return the same object with a var set. In immutable, of course they will return a new object, which means we can't use "this.type", at least not in a non-casty manner, which is unfortunate because we lose type information without it.

    ...but now they're this.type because of #3462. The immutable side doesn't exist yet anyway.

    Definition Classes
      Setting → AbsSetting

64. #### def withDeprecationMessage(msg: String): StringSetting.this.type

    Definition Classes
      Setting → AbsSetting

65. #### def withHelpSyntax(s: String): StringSetting.this.type

    Definition Classes
      Setting → AbsSetting

66. #### def withPostSetHook(f: (StringSetting.this.type) ⇒ Unit): StringSetting.this.type

    Definition Classes
      Setting

67. #### def →[B](y: B): (StringSetting, B)

    Implicit information
      This member is added by an implicit conversion from StringSetting to ArrowAssoc[StringSetting] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### def <(that: StringSetting): Boolean

   Implicit information
     This member is added by an implicit conversion from StringSetting to math.Ordered[StringSetting] performed by method orderingToOrdered in scala.math.Ordered. This conversion will take place only if an implicit value of type math.Ordering[StringSetting] is in scope.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (stringSetting: math.Ordered[StringSetting]).<(that)

   Definition Classes
     Ordered

2. #### def <=(that: StringSetting): Boolean

   Implicit information
     This member is added by an implicit conversion from StringSetting to math.Ordered[StringSetting] performed by method orderingToOrdered in scala.math.Ordered. This conversion will take place only if an implicit value of type math.Ordering[StringSetting] is in scope.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (stringSetting: math.Ordered[StringSetting]).<=(that)

   Definition Classes
     Ordered

3. #### def >(that: StringSetting): Boolean

   Implicit information
     This member is added by an implicit conversion from StringSetting to math.Ordered[StringSetting] performed by method orderingToOrdered in scala.math.Ordered. This conversion will take place only if an implicit value of type math.Ordering[StringSetting] is in scope.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (stringSetting: math.Ordered[StringSetting]).>(that)

   Definition Classes
     Ordered

4. #### def >=(that: StringSetting): Boolean

   Implicit information
     This member is added by an implicit conversion from StringSetting to math.Ordered[StringSetting] performed by method orderingToOrdered in scala.math.Ordered. This conversion will take place only if an implicit value of type math.Ordering[StringSetting] is in scope.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (stringSetting: math.Ordered[StringSetting]).>=(that)

   Definition Classes
     Ordered

5. #### def compare(that: StringSetting): Int

   Implicit information
     This member is added by an implicit conversion from StringSetting to math.Ordered[StringSetting] performed by method orderingToOrdered in scala.math.Ordered. This conversion will take place only if an implicit value of type math.Ordering[StringSetting] is in scope.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (stringSetting: math.Ordered[StringSetting]).compare(that)

   Definition Classes
     Ordered

6. #### def compareTo(that: StringSetting): Int

   Implicit information
     This member is added by an implicit conversion from StringSetting to math.Ordered[StringSetting] performed by method orderingToOrdered in scala.math.Ordered. This conversion will take place only if an implicit value of type math.Ordering[StringSetting] is in scope.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (stringSetting: math.Ordered[StringSetting]).compareTo(that)

   Definition Classes
     Ordered → Comparable

### Deprecated Value Members

1. #### def finalize(): Unit

   Called by the garbage collector on the receiver object when there are no more references to the object.

   Called by the garbage collector on the receiver object when there are no more references to the object.

   The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @Deprecated @deprecated @throws( classOf[java.lang.Throwable] )
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

   Note

     not specified by SLS as a member of AnyRef

### Inherited from Setting

### Inherited from Mutable

### Inherited from MutableSettings.SettingValue

### Inherited from MutableSettings.AbsSetting

### Inherited from MutableSettings.AbsSettingValue

### Inherited from math.Ordered[Setting]

### Inherited from Comparable[Setting]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion orderingToOrdered from StringSetting to math.Ordered[StringSetting]

### Inherited by implicit conversion any2stringadd from StringSetting to any2stringadd[StringSetting]

### Inherited by implicit conversion StringFormat from StringSetting to StringFormat[StringSetting]

### Inherited by implicit conversion Ensuring from StringSetting to Ensuring[StringSetting]

### Inherited by implicit conversion ArrowAssoc from StringSetting to ArrowAssoc[StringSetting]

### Ungrouped